# Dialect Class Reference
[Connectors and dialects for various databases, Classes implemented in PHP's extension.]

Base (aka ANSI) SQL dialect. More...

Inheritance diagram for Dialect:
[legend]

List of all members.

## Public Member Functions

| preAutoincrement (DBColumn $column)
| postAutoincrement (DBColumn $column)
| hasTruncate ()
| hasMultipleTruncate ()
| hasReturning ()
| quoteBinary ($data)
| unquoteBinary ($data)
| typeToString (DataType $type)
| toFieldString ($expression)
| toValueString ($expression)
| fieldToString ($field)
| valueToString ($value)
| fullTextSearch ($field, $words, $logic)
| fullTextRank ($field, $words, $logic)

## Static Public Member Functions

static | quoteField ($field)
| must be implemented too:
static | quoteTable ($table)
static | toCasted ($field, $type)
static | timeZone ($exist=false)
static | dropTableMode ($cascade=false)

## Private Member Functions

| toNeededString ($expression, $method)

## Detailed Description

Base (aka ANSI) SQL dialect.

Definition at line 18 of file Dialect.class.php.

## Member Function Documentation

static Dialect::dropTableMode | ( | $ | cascade = `false` | ) | `[static]`

Reimplemented in LiteDialect, and MyDialect.

Definition at line 58 of file Dialect.class.php.

Dialect::fieldToString | ( | $ | field | ) |

Reimplemented in ImaginaryDialect.

Definition at line 109 of file Dialect.class.php.

References quoteField().

Referenced by PostgresDialect::fullTextRank(), PostgresDialect::fullTextSearch(), SQLFunction::toDialectString(), and FieldTable::toDialectString().

Here is the call graph for this function:

Dialect::fullTextRank | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented in ImaginaryDialect, and PostgresDialect.

Definition at line 130 of file Dialect.class.php.

Referenced by FullTextRank::toDialectString().

Dialect::fullTextSearch | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented in ImaginaryDialect, MyDialect, and PostgresDialect.

Definition at line 125 of file Dialect.class.php.

Referenced by FullTextSearch::toDialectString().

Dialect::hasMultipleTruncate | ( |  | ) | `[abstract]`

Reimplemented in ImaginaryDialect, LiteDialect, MyDialect, and PostgresDialect.

Referenced by TruncateQuery::toDialectString().

Dialect::hasReturning | ( |  | ) | `[abstract]`

Reimplemented in ImaginaryDialect, LiteDialect, MyDialect, and PostgresDialect.

Referenced by QuerySkeleton::checkReturning().

Dialect::hasTruncate | ( |  | ) | `[abstract]`

Reimplemented in ImaginaryDialect, LiteDialect, MyDialect, and PostgresDialect.

Referenced by TruncateQuery::toDialectString().

Dialect::postAutoincrement | ( | DBColumn $ | column | ) | `[abstract]`

Reimplemented in ImaginaryDialect, LiteDialect, MyDialect, and PostgresDialect.

Referenced by CreateTableQuery::toDialectString().

Dialect::preAutoincrement | ( | DBColumn $ | column | ) | `[abstract]`

Reimplemented in ImaginaryDialect, LiteDialect, MyDialect, and PostgresDialect.

Referenced by CreateTableQuery::toDialectString().

Dialect::quoteBinary | ( | $ | data | ) |

Reimplemented in LiteDialect, MyDialect, MyImprovedDialect, and PostgresDialect.

Definition at line 66 of file Dialect.class.php.

static Dialect::quoteField | ( | $ | field | ) | `[static]`

must be implemented too:

public static function quoteValue($value);

Reimplemented in ImaginaryDialect, and MyDialect.

Definition at line 35 of file Dialect.class.php.

References quoteTable().

Referenced by fieldToString(), DBTable::findDifferences(), UpdateQuery::toDialectString(), DBField::toDialectString(), DBColumn::toDialectString(), CreateTableQuery::toDialectString(), QuerySkeleton::toDialectStringField(), InsertQuery::toDialectStringSelect(), and InsertQuery::toDialectStringValues().

Here is the call graph for this function:

static Dialect::quoteTable | ( | $ | table | ) | `[static]`

Reimplemented in ImaginaryDialect, and MyDialect.

Definition at line 40 of file Dialect.class.php.

Referenced by SQLBaseJoin::baseToString(), TruncateQuery::dumpTargets(), DBTable::findDifferences(), quoteField(), SQLFunction::toDialectString(), and FromTable::toDialectString().

static Dialect::timeZone | ( | $ | exist = `false` | ) | `[static]`

Reimplemented in MyDialect.

Definition at line 50 of file Dialect.class.php.

Referenced by DataType::toDialectString().

static Dialect::toCasted | ( | $ | field,
|  | $ | type |
| ) |  |  | `[static]`

Reimplemented in PostgresDialect.

Definition at line 45 of file Dialect.class.php.

Referenced by SQLFunction::toDialectString(), FieldTable::toDialectString(), DBValue::toDialectString(), and DBField::toDialectString().

Dialect::toFieldString | ( | $ | expression | ) |

Definition at line 81 of file Dialect.class.php.

References toNeededString().

Referenced by PrefixUnaryExpression::toDialectString().

Here is the call graph for this function:

Dialect::toNeededString | ( | $ | expression,
|  | $ | method |
| ) |  |  | `[private]`

Definition at line 91 of file Dialect.class.php.

Referenced by toFieldString(), and toValueString().

Dialect::toValueString | ( | $ | expression | ) |

Definition at line 86 of file Dialect.class.php.

References toNeededString().

Here is the call graph for this function:

Dialect::typeToString | ( | DataType $ | type | ) |

Reimplemented in LiteDialect, MyDialect, and PostgresDialect.

Definition at line 76 of file Dialect.class.php.

References NamedObject::getName().

Referenced by DataType::toDialectString().

Here is the call graph for this function:

Dialect::unquoteBinary | ( | $ | data | ) |

Reimplemented in LiteDialect, and PostgresDialect.

Definition at line 71 of file Dialect.class.php.

Dialect::valueToString | ( | $ | value | ) |

Reimplemented in ImaginaryDialect.

Definition at line 117 of file Dialect.class.php.

Referenced by SQLArray::toDialectString(), and DBColumn::toDialectString().

The documentation for this class was generated from the following file:

- core/DB/Dialect.class.php